Apple Storeアプリをダウンロードするには、iOS10以降が必要です

iOS10.3のベータ版は私たちに兆候を与えています iOS 11が将来どうなるか、あるいは少なくとも新しいアップデートがどこに行くのかについて。 明確にする必要があることの11つは、iOSXNUMX 64ビットアプリケーションのみを許可します。 そのため、アプリが32ビットの開発者は更新されるか死にます。

Appleの例はかなり明確です。 iWorkスイート全体(Pages、Numbers、Keynote)のように、ほとんどのアプリは iOS10以降のバージョン 私たちのデバイスにそれらをダウンロードできるようにします。 Apple Storeアプリの最後の更新後、Big Appleもこの基準を変更しました。今後は、iOS10より古いバージョンのアプリのみをダウンロードできます。

Appleの要求はますます存在します:今iOS10以上

Appleは常に、デバイスとエコシステムの両方で完璧を望んでいました。そこには、アプリケーションとさまざまなストアが含まれています。 オペレーティングシステムのリリースを通じて、クパチーノは開発者を進化させたり死なせたりする多くの機能をリリースしました。 それが必要です 開発者は、iOS、macOS、その他のオペレーティングシステムの変更に応じて進歩します。

私たちが覚えているなら、 2015の2月 Appleは、2015年XNUMX月以降にアップロードされたアプリを 64ビット:

1年2015月64日の時点で、App Storeにアップロードされた新しいiOSアプリには8ビットのサポートが含まれている必要があり、Xcode6以降に含まれているiOS64SDKで構築されます。 プロジェクトで32ビットフレームワークを有効にするには、Xcodeのデフォルトの「標準アーキテクチャ」を使用して、64ビットバージョンとXNUMXビットコードで単一のバイナリを構築することをお勧めします。

その日付から今日まで、アプリケーションで発生するすべての変更は、これによってサポートされる必要があります 64ビットアーキテクチャ。 しかし、AppleはおそらくiOS 10以降用に更新されていないアプリケーションを排除するというニュースがあり、App Storeで入手可能なアプリのほぼ10%がiOS11のリリースによって影響を受けると予想されます。

アプリの場合 アップルストア、 前回のアップデートでは、すでに iOS10以降のバージョンが必要です。 アプリケーションの開発に遅れをとっている開発者にとっては大いに役立ちます。


記事の内容は、次の原則に準拠しています。 編集倫理。 エラーを報告するには、 ここで.

コメントを最初に

コメントを残す

あなたのメールアドレスが公開されることはありません。 必須フィールドには付いています *

*

*

  1. データの責任者:MiguelÁngelGatón
  2. データの目的:SPAMの制御、コメント管理。
  3. 正当化:あなたの同意
  4. データの伝達:法的義務がある場合を除き、データが第三者に伝達されることはありません。
  5. データストレージ:Occentus Networks(EU)がホストするデータベース
  6. 権利:いつでも情報を制限、回復、削除できます。